<?php

  $ventana = [
    'clases' => ['modal'],
    'recuadro' => [
      'clases' => ['modal-dialog']
    ],
    'contenedor' => [
      'clases' => ['modal-content']
    ],
    'cabeza' => [
      'clases' => ['modal-header']
    ],
    'cuerpo' => [
      'clases' => ['modal-body']
    ],
    'pie' => [
      'clases' => ['modal-footer']
    ]
  ];

  if (empty($clases))
    $clases = 'fade'
  ;

  $clases = $utilidades->limpiar(implode(' ', $ventana['clases']) . " " . $clases);

  $ventana['atributos'][] = 'class="' . $clases . '"';

  if (empty($id))
    $id = 'ventana';
  else
    $id = "ventana_$id"
  ;
  $ventana['atributos'][] = "id=$id";

  if (empty($atributos))
    $atributos = 'tabindex=-1 aria-labelledby="' . $id . 'Titulo" aria-hidden=true';
  else
    $atributos = $utilidades->limpiar($atributos)
  ;
  $ventana['atributos'][] = $atributos;

  if (!isset($fondo))
    $fondo = 'static';
  else if ($fondo !== 'static')
    $fondo = $fondo ? 'true' : 'false'
  ;
  $ventana['atributos'][] = "data-bs-backdrop=$fondo";

  if (isset($foco))
    $foco = $foco ? 'true' : 'false';
  else
    $foco = 'true'
  ;
  $ventana['atributos'][] = "data-bs-focus=$foco";

  if (isset($teclado))
    $teclado = $teclado ? 'true' : 'false';
  else
    $teclado = 'false'
  ;
  $ventana['atributos'][] = "data-bs-keyboard=$teclado";

  $ventana['atributos'] = implode(' ', $ventana['atributos']);

  if (isset($centralizado))
    $centralizado = !!$centralizado;
  else
    $centralizado = true
  ;

  if ($centralizado)
    $ventana['recuadro']['clases'][] = 'modal-dialog-centered'
  ;

  if (isset($desplazable))
    $desplazable = !!$desplazable;
  else
    $desplazable = true
  ;

  if ($desplazable)
    $ventana['recuadro']['clases'][] = 'modal-dialog-scrollable'
  ;

  if (empty($recuadro['clases']))
    $recuadro['clases'] = ''
  ;

  $recuadro['clases'] = $utilidades->limpiar(implode(' ', $ventana['recuadro']['clases']) . " " . $recuadro['clases']);

  $ventana['recuadro']['atributos'][] = 'class="' . $recuadro['clases'] . '"';

  if (!empty($recuadro['atributos']))
    $ventana['recuadro']['atributos'][] = $utilidades->limpiar($recuadro['atributos'])
  ;

  $ventana['recuadro']['atributos'] = implode(' ', $ventana['recuadro']['atributos']);

  if (empty($contenedor['clases']))
    $contenedor['clases'] = ''
  ;

  $contenedor['clases'] = $utilidades->limpiar(implode(' ', $ventana['contenedor']['clases']) . " " . $contenedor['clases']);

  $ventana['contenedor']['atributos'][] = 'class="' . $contenedor['clases'] . '"';

  if (!empty($contenedor['atributos']))
    $ventana['contenedor']['atributos'][] = $utilidades->limpiar($contenedor['atributos'])
  ;

  $ventana['contenedor']['atributos'] = implode(' ', $ventana['contenedor']['atributos']);

  if (isset($componentes))
    $componentes = !!$componentes;
  else
    $componentes = true
  ;

  if ($componentes) {

    if (empty($cabeza['clases']))
      $cabeza['clases'] = ''
    ;

    $cabeza['clases'] = $utilidades->limpiar(implode(' ', $ventana['cabeza']['clases']) . " " . $cabeza['clases']);

    $ventana['cabeza']['atributos'][] = 'class="' . $cabeza['clases'] . '"';

    if (!empty($cabeza['atributos']))
      $ventana['cabeza']['atributos'][] = $utilidades->limpiar($cabeza['atributos'])
    ;

    $ventana['cabeza']['atributos'] = implode(' ', $ventana['cabeza']['atributos']);

    if (empty($titulo))
      $titulo = ''
    ;

    if (empty($cabeza['contenido']))
      $cabeza['contenido'] = '
        <h5 class="modal-title" id="' . $id . 'Titulo">' . $titulo . '</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Cerrar"></button>
      '
    ;

    if (empty($cuerpo['clases']))
      $cuerpo['clases'] = ''
    ;

    $cuerpo['clases'] = $utilidades->limpiar(implode(' ', $ventana['cuerpo']['clases']) . " " . $cuerpo['clases']);

    $ventana['cuerpo']['atributos'][] = 'class="' . $cuerpo['clases'] . '"';

    if (!empty($cuerpo['atributos']))
      $ventana['cuerpo']['atributos'][] = $utilidades->limpiar($cuerpo['atributos'])
    ;

    $ventana['cuerpo']['atributos'] = implode(' ', $ventana['cuerpo']['atributos']);

    if (empty($pie['clases']))
      $pie['clases'] = ''
    ;

    $pie['clases'] = $utilidades->limpiar(implode(' ', $ventana['pie']['clases']) . " " . $pie['clases']);

    $ventana['pie']['atributos'][] = 'class="' . $pie['clases'] . '"';

    if (!empty($pie['atributos']))
      $ventana['pie']['atributos'][] = $utilidades->limpiar($pie['atributos'])
    ;

    $ventana['pie']['atributos'] = implode(' ', $ventana['pie']['atributos']);

    if (empty($pie['contenido']))
      $pie['contenido'] = '
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary">Aceptar</button>
      '
    ;

  }

?>

<div <?php echo $ventana['atributos']; ?>>

  <div <?php echo $ventana['recuadro']['atributos']; ?>>

    <div <?php echo $ventana['contenedor']['atributos']; ?>>

      <?php if($componentes): ?>

        <div <?php echo $ventana['cabeza']['atributos']; ?>>
          <?php echo $cabeza['contenido']; ?>

        </div>

        <div <?php echo $ventana['cuerpo']['atributos']; ?>>
          <?php echo e($slot); ?>

        </div>

        <div <?php echo $ventana['pie']['atributos']; ?>>
          <?php echo $pie['contenido']; ?>

        </div>

      <?php else: ?>
        <?php echo e($slot); ?>

      <?php endif; ?>

    </div>

  </div>
</div>
<?php /**PATH C:\xampp\htdocs\aplicaciones\empresa\sistemas\daite\resources\views/aplicacion/elementos/ventana.blade.php ENDPATH**/ ?>